'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setConfig = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _propsValidation = require('./propsValidation');

var _configInterface = require('./configInterface');

var _defaultConfig = require('./defaultConfig');

var setConfig = exports.setConfig = function setConfig(props) {
  if ((typeof props === 'undefined' ? 'undefined' : _typeof(props)) !== 'object') {
    console.error('The props data type must be an object');
    return _defaultConfig.defaultConfig;
  }

  var validProps = (0, _propsValidation.propsValidation)(props, _configInterface.configInterface);

  for (var i in _defaultConfig.defaultConfig) {
    if (!validProps[i]) continue;

    if (_typeof(validProps[i]) === 'object') {
      for (var j in _defaultConfig.defaultConfig[i]) {
        if (!validProps[i][j]) continue;
        _defaultConfig.defaultConfig[i][j] = validProps[i][j];
      }
      continue;
    }

    _defaultConfig.defaultConfig[i] = validProps[i];
  }

  return _defaultConfig.defaultConfig;
};