'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var setSourceType = exports.setSourceType = function setSourceType(source) {
  var fileTypeArr = source.split('.');
  var fileType = fileTypeArr[fileTypeArr.length - 1];
  switch (fileType.toLowerCase()) {
    case 'webm':
      return 'video/webm';
    case 'mp4':
      return 'video/mp4';
    case 'ogg':
      return 'video/ogg';
    case 'ogv':
      return 'video/ogg';
    case 'mov':
      return 'video/quicktime';

    case 'jpeg':
      return 'image/jpeg';
    case 'jpg':
      return 'image/jpeg';
    case 'jpe':
      return 'image/jpeg';
    case 'jif':
      return 'image/jpeg';
    case 'jfif':
      return 'image/jpeg';

    case 'png':
      return 'image/png';
    case 'webp':
      return 'image/webp';
    case 'svg':
      return 'image/svg+xml';

    default:
      return null;
  }
};